Create a Milestone (By Repo ID)

Request

POST

https://api.sourcecraft.tech/repos/id:{repo_id}/milestones

Path parameters

Name

Description

repo_id

Type: string

Example: ``

Query parameters

Name

Description

silent

Type: boolean

Body

application/json
{
  "name": "example",
  "slug": "example",
  "description": "example",
  "start_date": "2025-01-01T00:00:00Z",
  "deadline": "2025-01-01T00:00:00Z"
}

Name

Description

name

Type: string

Example: example

deadline

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

description

Type: string

Example: example

slug

Type: string

Example: example

start_date

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

Responses

201 Created

A successful response.

Body

application/json
{
  "id": "example",
  "name": "example",
  "slug": "example",
  "description": "example",
  "start_date": "2025-01-01T00:00:00Z",
  "deadline": "2025-01-01T00:00:00Z",
  "status": "open",
  "author": {
    "id": "example",
    "slug": "example"
  },
  "updated_by": null,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

Name

Description

author

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

deadline

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

description

Type: string

Example: example

id

Type: string

Example: example

name

Type: string

Example: example

slug

Type: string

Example: example

start_date

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

status

Type: Milestone.Status

Enum: open, closed

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

updated_by

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

Milestone.Status

Type: string

Enum: open, closed

UserEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example